Index: /data/trunk/levels/vertical_scroller.oxw
===================================================================
--- /data/trunk/levels/vertical_scroller.oxw	(revision 4607)
+++ /data/trunk/levels/vertical_scroller.oxw	(revision 4608)
@@ -19,36 +19,111 @@
     <Building>
       <name>zhara</name>
-      <model>models/space_stations/ZHARA_Space_Station.obj</model>
-      <abs-coor>0,0,0</abs-coor>
+      <model>models/space_stations/ZHARA_Space_Station.obj,30</model>
+      <abs-coor>-20,0,30</abs-coor>
+      <abs-dir>0.3,0,1,0</abs-dir>
+    </Building>
+
+    <Rotor>
+      <name>meteorit01</name>
+      <model>models/planets/asteroid_FA48.obj, 20</model>
+      <abs-coor>1100,-100,30</abs-coor>
+      <rotation>0,2,0</rotation>
       <Size>100</Size>
-    </Building>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit02</name>
+      <model>models/planets/asteroid_FA48.obj, 20</model>
+      <abs-coor>1500,-200,40</abs-coor>
+      <rotation>0,0,3</rotation>
+      <Size>100</Size>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit03</name>
+      <model>models/planets/asteroid_FA108.obj, 25</model>
+      <abs-coor>1700,-1000,-10</abs-coor>
+      <rotation>4,2,1</rotation>
+      <Size>100</Size>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit04</name>
+      <model>models/planets/asteroid_FA108.obj, 20</model>
+      <abs-coor>2300,-500,-10</abs-coor>
+      <rotation>0,2,1</rotation>
+      <Size>100</Size>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit05</name>
+      <model>models/planets/asteroid_FA48.obj, 10</model>
+      <abs-coor>2200,-50,50</abs-coor>
+      <rotation>5,0,1</rotation>
+      <Size>100</Size>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit06</name>
+      <model>models/planets/asteroid_FA48.obj, 5</model>
+      <abs-coor>2000,-50,0</abs-coor>
+      <rotation>0,3,5</rotation>
+      <Size>100</Size>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit07</name>
+      <model>models/planets/asteroid_FA108.obj, 20</model>
+      <abs-coor>3100,-500,15</abs-coor>
+      <rotation>1,2,0</rotation>
+      <Size>100</Size>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit08</name>
+      <model>models/planets/asteroid_FA108.obj, 20</model>
+      <abs-coor>3400,-500,-30</abs-coor>
+      <rotation>0,5,0</rotation>
+      <Size>100</Size>
+    </Rotor>
+
+    <NPC>
+      <name>Pirate01</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>3500, 0, 20</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Pirate02</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>3500, 0, 0</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Pirate03</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <abs-coor>3450, 0, 10</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
 
     <SpaceShip>
       <name>Player</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj</model>
+      <model>models/spaceships/human_spaceship_fighter.obj, 0.4</model>
       <abs-coor>0,0,0</abs-coor>
-      <Size>100</Size>
       <playmode>Horizontal</playmode>
      <drawTrack>1</drawTrack>
       <Track>
         <mode>0</mode>
-        <speed>0.5</speed>
+        <speed>50</speed>
         <addPoint>0,0,0</addPoint>
-        <addPoint>400,0,50</addPoint>
-        <addPoint>800,0,0</addPoint>
-        <addPoint>1200,0,0</addPoint>
-        <addPoint>1600,0,0</addPoint>
+        <addPoint>1000,0,200</addPoint>
         <addPoint>2000,0,0</addPoint>
-        <addPoint>2100,0,100</addPoint>
-        <addPoint>2100,0,500</addPoint>
-        <addPoint>2100,0,900</addPoint>
-        <addPoint>2000,0,1000</addPoint>
-        <addPoint>1600,0,1000</addPoint>
-        <addPoint>1200,0,1000</addPoint>
-        <addPoint>800,0,1000</addPoint>
-        <addPoint>400,0,800</addPoint>
-        <addPoint>200,0,600</addPoint>
-        <addPoint>100,0,200</addPoint>
-        <addPoint>0,0,0</addPoint>
+        <addPoint>3000,0,-200</addPoint>
+        <addPoint>4000,0,0</addPoint>
+        <addPoint>5000,0,200</addPoint>
+        <addPoint>6000,0,0</addPoint>
+        <addPoint>7000,0,-200</addPoint>
       </Track>
     </SpaceShip>
@@ -77,12 +152,21 @@
   </LightManager>
 
+  <ScriptManager> 
+   <Scripts>
 
+    <Script>
+     <file>vertical_scroller/vs1.lua</file>
+    </Script>
+
+   </Scripts>
+
+  </ScriptManager>
 
    <CameraMan>
     <name> cameraManager </name>
-     <Cameras>
+    <Cameras>
      <Camera>
-     <name> Testcam </name>
-     <abs-coor>0,0,0</abs-coor>
+      <name> CameraOne </name>
+      <abs-coor>2800,5,50</abs-coor>
      </Camera>
     </Cameras>
Index: /data/trunk/scripts/vertical_scroller/vs1.lua
===================================================================
--- /data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4608)
+++ /data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4608)
@@ -0,0 +1,40 @@
+-- Get objects from orxonox
+thisscript:addObject("SpaceShip", "Player")
+thisscript:addObject("CameraMan", "cameraManager")
+-- thisscript:addObjectAsName("GameWorld", "In Space", "gameWorld")
+
+triggerInit = ScriptTrigger()
+triggerInit:setScript("vs1.lua")
+triggerInit:setFunction("init")
+triggerInit:setActiveOnCreation(true)
+
+-- Create the cutscene trigger
+triggerCutscene = ScriptTrigger()
+triggerCutscene:setScript("vs1.lua")
+triggerCutscene:setFunction("startSequence")
+triggerCutscene:setRadius(30)
+triggerCutscene:setTarget("Player")
+triggerCutscene:setAbsCoor(0 , 0 , 0)
+triggerCutscene:setDebugDraw(true)
+triggerCutscene:setActiveOnCreation(false)
+
+
+-- Global Variables
+
+function init(timestep)
+
+cameraManager:atachCameraToWorldEntity("CameraOne", "NPC", "Pirate01")
+cameraManager:changeTarget("CameraOne", "NPC", "Pirate01")
+
+
+return true
+end
+
+function startSequence(timestep)
+
+cameraManager:setCam("CameraOne")
+cameraManager:changeCurrTarget("NPC", "Pirate01")
+cameraManager:atachCurrCameraToWorldEntity("NPC", "Pirate01")
+
+return true
+end
